Subject: Re: [Roll] 2460bis - section 4.2 -- hop-by-hop option writeup.

From: Michael Richardson <[email-masked]>
Date: Wed, 20 Jul 2016 13:24:55 -0400

[email-masked] wrote:
    > I don't think we can do this in 2460bis. The option flags are also used
    > for the Destination options header.
    > There is anyway legacy implementations, meaning that new options cannot
    > reuse the space.

Ah, I hadn't realized this.

    > For your particular problem, it sounds like you don't really want a
    > mandatory option, why not reclassify the RPL option instead of trying
    > to make 2460 fit the corner you've been painted into :-)).

Okay, so I want to re-open this possibility as part of the flag day caused by
deploying of 6LoRH.

Specifically, about updating RFC6553 such that the Option code changes from
0x63 to 0x23.  I think that this should be tied to deployment of 6LoRH.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-